# coding=utf-8
from django.conf.urls import url
from rest_framework.routers import SimpleRouter
from apps.account.views import *
from apps.dashboard.views import admin_index

urlpatterns = [
    url(r'^$', admin_index),
    url(r'^login/$', LoginView.as_view()),
    url(r'^token_refresh/$', RefreshTokenView.as_view()),
    url(r'^employee/change_password/$', ChangePassword.as_view()),

    url(r'^code2Session/$', WxLoginView.as_view()), # 自动登录
    url(r'^setUserInfo/$', SetUserInfoView.as_view()),
    url(r'^wxbind/$', WxBindView.as_view()), # 微信快捷登录

    url(r'^get_user/$', UserDictView.as_view()), # 微信快捷登录
    url(r'^user_tree/$', UserTreeView.as_view()),  # 人员管理，管理员工加载员工
]

router = SimpleRouter()
router.register(r'employee', EmployeeViewSet)
urlpatterns += router.urls
